<template>
  <div>
    <section class="hero-banner">
      <div class="top-header">
        <div class="order-option top-head-left">
          <p>Ordering Options</p>
        </div>
        <div class="sign-in top-head-right">
          <!-- <a href="#" class="info-icon" data-toggle="modal" data-target=".infomodal">
            <i class="fa fa-info-circle" aria-hidden="true"></i>
          </a>-->
          <a href="#" class="signin-icon" @click.prevent="signin()" v-if="this.$store.state.signinout==false">
            Sign In
            <i class="fa fa-user" aria-hidden="true"></i>
          </a>
          <a href="#" class="signin-icon"  @click.prevent="signout()" v-else >Sign Out
            <i class="fa fa-user" aria-hidden="true"></i>
          </a>
        </div>
      </div>
      <div class="hero-logo">
        <div class="container">
          <div class="logo">
            <a href="#">
              <img src="../assets/images/logo.png" alt class="img-responsive">
            </a>
          </div>
        </div>
      </div>
    </section>
    <!--/1. Hero banner section end here -->
    <!--2. Order modal start here -->
    <section class="signin-sec order-sec">
      <div class="container padding_0">
        <div class="form-block">
          <div class="form-block-title">
            <p>
              <img
                src="../assets/images/icon/action/start-order-icon.png"
                alt
                class="img-responsive"
              >Start your Order
            </p>
          </div>
          <div class="order-action-btn">
            <div class="pickup-btn-block coman-order-btn">
              <a href="choose-loction.html" class="pickup-btn btn" @click.prevent="pickup()">
                <img src="../assets/images/icon/action/pickup_24px.png" alt class="img-responsive">
                Pickup
              </a>
            </div>
            <div class="delivery-btn-btn coman-order-btn">
              <a href="#" class="pickup-btn btn" data-toggle="modal" data-target=".delivery-modal">
                <img src="../assets/images/icon/action/loyalty_24px.png" alt class="img-responsive">
                Delivery
              </a>
            </div>
          </div>
          <!-- <div class="sign-in-btn">
              <button type="submit" class="btn btn-primary form_coman_lgbtn red-bg order-next-btn">Next</button>
          </div>-->
        </div>
      </div>
    </section>
    <!--2. Order modal end here -->
    <!--3. Footer Start here -->
    <footer class="footer-block">
      <div class="footer-sec">
        <div class="container">
          <div class="footer_nav">
            <ul class="footer_menu_list list-inline list-unstyled">
              <li>
                <i>POWERED BY</i>
                <a href="#">
                  <img src="../assets/images/footer_logo.png" alt class="img-responsive">
                </a>
              </li>
              <li>
                <a href="#">TERMS</a>
              </li>
              <li>
                <a href="#">PRIVACY POLICY</a>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </footer>
    <!--3. Footer End here -->
    <!-- 2. info-modal start here -->
    <div class="modal fade infomodal" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog modal-lg custom_modal_dialog">
        <div class="modal-content custom_modal_con">
          <div class="modal-header custom_modal_head">
            <div class="modal_head_logo">
              <a href="#">
                <img src="../assets/images/logo.png" alt class="img-responsive">
              </a>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">×</span>
              </button>
            </div>
          </div>
          <div class="modal-body custom_modal_body">
            <div class="root_info_modal">
              <div class="client_desc_modal col_nfo_same">
                <div class="address_selected">
                  <div class="icon_loc_left">
                    <img src="../assets/images/icon/action/locator.png" alt class="img-responsive">
                  </div>
                  <div class="loc_right_desc">
                    <p>Cold Stone White Marsh on The Avenue</p>
                    <address>8137 Honeygo Blvd. #C Nottingham, MD 21236</address>
                  </div>
                </div>
                <div class="pickup-time">
                  <div class="icon_loc_left">
                    <img
                      src="../assets/images/icon/action/phone24X24.png"
                      alt
                      class="img-responsive"
                    >
                  </div>
                  <div class="loc_right_desc">
                    <p>(410) 931-2104</p>
                  </div>
                </div>
                <hr>
                <div class="ac_details">
                  <div class="icon_loc_left">
                    <img src="../assets/images/icon/action/outlined.png" alt class="img-responsive">
                  </div>
                  <div class="loc_right_desc">
                    <p>Hours of Operation</p>
                  </div>
                  <div class="pickup_table_hr_details">
                    <table class="table timeline_table">
                      <tr>
                        <th></th>
                        <th>Pickup</th>
                        <th>Delivery</th>
                      </tr>
                      <tr>
                        <td>
                          <b>Sunday</b>
                        </td>
                        <td>
                          <b>11AM-10PM</b>
                        </td>
                        <td>
                          <b>11AM-10PM</b>
                        </td>
                      </tr>
                      <tr>
                        <td>Monday</td>
                        <td>11AM-10PM</td>
                        <td>11AM-10PM</td>
                      </tr>
                      <tr>
                        <td>Tuesday</td>
                        <td>11AM-10PM</td>
                        <td>11AM-10PM</td>
                      </tr>
                      <tr>
                        <td>Wednesday</td>
                        <td>11AM-10PM</td>
                        <td>11AM-10PM</td>
                      </tr>
                      <tr>
                        <td>Thursday</td>
                        <td>11AM-10PM</td>
                        <td>11AM-10PM</td>
                      </tr>
                      <tr>
                        <td>Friday</td>
                        <td>11AM-10PM</td>
                        <td>11AM-10PM</td>
                      </tr>
                      <tr>
                        <td>Saturday</td>
                        <td>11AM-10PM</td>
                        <td>11AM-10PM</td>
                      </tr>
                    </table>
                  </div>
                </div>
              </div>
              <div class="client_loc col_nfo_same">
                <img src="../assets/images/modal-map.png" alt class="img-responsive">
              </div>
            </div>
          </div>
          <div class="modal-footer custom_footer">
            <div class="procedd_btn action_checkout_btn">
              <a
                href="#"
                class="btn btn-primary form_coman_lgbtn red-bg addto addto_modal"
                data-dismiss="modal"
              >Close</a>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- /2. info-modal end here -->
    <!-- 4. orderlater-modal start here -->
    <div class="modal fade delivery-modal" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content custom_modal_con">
          <div class="modal-header custom_modal_head">
            <h5 class="modal-title" id="exampleModalLongTitle">Delivery Address</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form>
              <div class="form-group coman-form-group">
                <input
                  type="text"
                  class="form-control form-input"
                  placeholder="Enter your address..."
                >
                <div class="deliver_instruction">
                  <span>Delivery is available only if the subtotal meets or exceeds $10 / Delivery fee: $3.75</span>
                </div>
              </div>

              <div class="apply_btn">
                <a href="#" class="btn btn-small red-bg pickup_btn" @click.prevent="verifyDeliveryAddress">Verify</a>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
const baseurl = "https://biteheist.com/ordering/tx/GoodEatsDEV/index.php?";
import axios from "axios";

export default {
  data() {
    return {
      email: "",
      password: "",
      address: "",
      verify_msg: false,
      message: false,
      position: null,
      places:"",
      id:"",
      active:false
    };
  },
  methods: {
    pickup() {
      this.$router.push("/chooseLocation");
    },
    signin() {
      this.$router.push("/signIn");
    },
    onPlacesChanged(places){
      console.log("places",places);
      this.places=places,
      this.message=false,
      function(){
        console.log("val is",places);
        
      }
      
    },

    signout() {
      var token = localStorage.getItem("token");
      axios({
        method: "post",
        url: baseurl + "route=rest/logout/logout",
        headers: {
          "Content-Type": "Application/json",
          Authorization: "Bearer " + token
        }
        // data:JSON.stringify(data),
      }).then(res => {
        console.log("redsf", res);
      });
    },
    verifyDeliveryAddress(){
      let {places}=this
      console.log("places",this.places);
      let arraydata=[]
      this.places.map((data,key)=>{
        console.log("data",data.formatted_address);
        arraydata.push(data.formatted_address)
      })
      let token = localStorage.getItem("token");
       var formData = new FormData();
       formData.append('customer_address', places);
       axios({
          method :'post',
          url:API_URL+"route=feed/rest_api/verify_delivery_address",
          headers: {
          'Content-Type': 'application/x-www-form-urlencoded',
          'Authorization': "Bearer "+ token,
          },
          data:formData
          }).then(res=>{
            console.log('response from verifyaddressLocation',res);
            if(res.address_verified ===true){
              console.log("adress",res.address_verified);
              let methodChoosen="delivery";


              localStorage.setItem('methodChosen',methodChosen)
              localStorage.setItem("time",payload.address.time)
              localStorage.setItem("exactTime",payload.address.exactTime)
              localStorage.setItem("hour",payload.address.hour)
              localStorage.setItem("date",payload.address.date)
              localStorage.setItem('customer_address',address)
              this.$router.push('/chooseLocation')
            }
            else{
            this.message=true
            }
          }).catch(err=>{
            return this.message=true
          })
          }
          
          },
  created() {
        console.log("placessss",this .places);
    fetch(
      baseurl + "route=feed/rest_api/gettoken&grant_type=client_credentials",
      {
        method: "post",
        headers: {
          Authorization: "Basic b2F1dGhfY2xpZW50MTIzJDpvYXV0aF9zZWNyZXQ1NDYk"
        }
      }
    )
      .then(res => res.json())
      .then(res => {
        console.log("res login .. ", res);
        localStorage.setItem("token", res.access_token);
      })
      .catch(err => console.error("err is", err));
  }
};
</script>

<style scoped>
</style>